Bug 788258 - Review Request: perl-Module-Implementation - Loads one of several alternate underlying implementations for a module
Summary: Review Request: perl-Module-Implementation - Loads one of several alternate u...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-07 21:54 UTC by Paul Howarth
Modified: 2012-03-01 08:45 UTC (History)
3 users (show)

Fixed In Version: perl-Module-Implementation-0.06-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-01 08:45:03 UTC
Type: ---
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2012-02-07 21:54:34 UTC
Spec URL:
http://subversion.city-fan.org/repos/cfo-repo/perl-Module-Implementation/branches/fedora/perl-Module-Implementation.spec
SRPM URL:
http://www.city-fan.org/~paul/extras/perl-Module-Implementation/perl-Module-Implementation-0.03-2.fc17.src.rpm

Description:
This module abstracts out the process of choosing one of several underlying
implementations for a module. This can be used to provide XS and pure Perl
implementations of a module, or it could be used to load an implementation
for a given OS or any other case of needing to provide multiple
implementations.

This module is only useful when you know all the implementations ahead of
time. If you want to load arbitrary implementations then you probably want
something like a plugin system, not this module.

Comment 1 Petr Šabata 2012-02-08 14:04:16 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Invalid buildroot found:
     %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)

     I suppose this is going to be in EPEL5, like many of your other packages.

[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL

     EPEL5 expected.

[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed

     EPEL5 expected.

[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5

     EPEL5 expected.

[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[!]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[!]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/788258/Module-Implementation-0.03.tar.gz :
  MD5SUM this package     : 0698d0874f518260265be2d49fe869b1
  MD5SUM upstream package : 0698d0874f518260265be2d49fe869b1
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
FIX: The correct license for this package is Artistic 2.0
TODO: perl(strict) and perl(warnings) don't live on CPAN, they could be safely removed from BRs
TODO: However, perl(lib) does and should be added to your 'Test suite' BRs.
TODO: rpmbuild doesn't detect the perl(Carp) dependency here, you should Require it manually

Not approving.
Fixing the TODO points is optional.

Generated by fedora-review 0.1.1
External plugins:

Comment 2 Paul Howarth 2012-02-08 15:07:50 UTC
> I suppose this is going to be in EPEL5, like many of your other packages.

It looks like EL-5 is going to be around for a long while yet, and I prefer to keep things compatible whilst that's the case.

> FIX: The correct license for this package is Artistic 2.0

Fixed in -3; that was careless of me.

> TODO: perl(strict) and perl(warnings) don't live on CPAN, they could be safely
> removed from BRs

I've left them in in case they become dual-lived in future.

> TODO: However, perl(lib) does and should be added to your 'Test suite' BRs.

Added in -3.

> TODO: rpmbuild doesn't detect the perl(Carp) dependency here, you should
> Require it manually

Added in -3.

Spec URL:
http://subversion.city-fan.org/repos/cfo-repo/perl-Module-Implementation/branches/fedora/perl-Module-Implementation.spec

SRPM URL:
http://www.city-fan.org/~paul/extras/perl-Module-Implementation/perl-Module-Implementation-0.03-3.fc17.src.rpm

Comment 3 Petr Šabata 2012-02-08 15:16:58 UTC
Okay, looks good now :)

Comment 4 Paul Howarth 2012-02-08 15:34:03 UTC
New Package SCM Request
=======================
Package Name: perl-Module-Implementation
Short Description: Loads one of several alternate underlying implementations for a module
Owners: pghmcfc
Branches: F-16 F-17 EL-5 EL-6
InitialCC: perl-sig

Comment 5 Gwyn Ciesla 2012-02-08 15:40:27 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2012-02-08 16:51:52 UTC
perl-Module-Implementation-0.03-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Module-Implementation-0.03-3.fc16

Comment 7 Fedora Update System 2012-02-08 16:52:01 UTC
perl-Module-Implementation-0.03-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Module-Implementation-0.03-3.el6

Comment 8 Fedora Update System 2012-02-12 20:27:28 UTC
perl-Module-Implementation-0.05-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Module-Implementation-0.05-1.el5

Comment 9 Fedora Update System 2012-02-23 02:24:23 UTC
perl-Module-Implementation-0.06-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 10 Fedora Update System 2012-03-01 01:02:07 UTC
perl-Module-Implementation-0.06-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Fedora Update System 2012-03-01 01:03:59 UTC
perl-Module-Implementation-0.06-1.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.